<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Application
 *
 * @ORM\Table(name="application")
 * @ORM\Entity
 */
class Application
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string $libelle
     *
     * @ORM\Column(name="libelle", type="string", length=50, nullable=false)
     */
    private $libelle;

    /**
     * @var text $descriptif
     *
     * @ORM\Column(name="descriptif", type="text", nullable=false)
     */
    private $descriptif;

    /**
     * @var string $version
     *
     * @ORM\Column(name="version", type="string", length=20, nullable=false)
     */
    private $version;

    /**
     * @var datetime $datecreation
     *
     * @ORM\Column(name="dateCreation", type="datetime", nullable=false)
     */
    private $datecreation;

    /**
     * @var \Doctrine\Common\Collections\ArrayCollection
     *
     * @ORM\ManyToMany(targetEntity="Utilisateur", inversedBy="idapplication")
     * @ORM\JoinTable(name="affectation",
     *   joinColumns={
     *     @ORM\JoinColumn(name="idapplication", referencedColumnName="id")
     *   },
     *   inverseJoinColumns={
     *     @ORM\JoinColumn(name="idUtilisateur", referencedColumnName="id")
     *   }
     * )
     */
    private $idutilisateur;

    public function __construct()
    {
        $this->idutilisateur = new \Doctrine\Common\Collections\ArrayCollection();
    }
    
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     * @return Application
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;
        return $this;
    }

    /**
     * Get libelle
     *
     * @return string 
     */
    public function getLibelle()
    {
        return $this->libelle;
    }

    /**
     * Set descriptif
     *
     * @param text $descriptif
     * @return Application
     */
    public function setDescriptif($descriptif)
    {
        $this->descriptif = $descriptif;
        return $this;
    }

    /**
     * Get descriptif
     *
     * @return text 
     */
    public function getDescriptif()
    {
        return $this->descriptif;
    }

    /**
     * Set version
     *
     * @param string $version
     * @return Application
     */
    public function setVersion($version)
    {
        $this->version = $version;
        return $this;
    }

    /**
     * Get version
     *
     * @return string 
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * Set datecreation
     *
     * @param datetime $datecreation
     * @return Application
     */
    public function setDatecreation($datecreation)
    {
        $this->datecreation = $datecreation;
        return $this;
    }

    /**
     * Get datecreation
     *
     * @return datetime 
     */
    public function getDatecreation()
    {
        return $this->datecreation;
    }

    /**
     * Add idutilisateur
     *
     * @param Utilisateur $idutilisateur
     * @return Application
     */
    public function addUtilisateur(\Utilisateur $idutilisateur)
    {
        $this->idutilisateur[] = $idutilisateur;
        return $this;
    }
    /**
     * del idutilisateur
     *
     * @param Utilisateur $idutilisateur
     * @return Application
     */
    public function delUtilisateur(\Utilisateur $idutilisateur)
    {
    	$utili = array();
    	foreach ($this->idutilisateur as $utilisateur)
    	{
    		if($idutilisateur != $utilisateur)
    		{
    			$utili[]=$utilisateur;
    		}
    	}
    	$this->idutilisateur = $utili;
    	return $this;
    }
    
    /**
     * Get idutilisateur
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getIdutilisateur()
    {
        return $this->idutilisateur;
    }
}