<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Module
 *
 * @ORM\Table(name="module")
 * @ORM\Entity
 */
class Module
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string $libelle
     *
     * @ORM\Column(name="libelle", type="string", length=100, nullable=true)
     */
    private $libelle;

    /**
     * @var text $descriptif
     *
     * @ORM\Column(name="descriptif", type="text", nullable=true)
     */
    private $descriptif;

    /**
     * @var \Doctrine\Common\Collections\ArrayCollection
     *
     * @ORM\ManyToMany(targetEntity="Groupe", mappedBy="idmodule")
     */
    private $idgroupe;

    public function __construct()
    {
        $this->idgroupe = new \Doctrine\Common\Collections\ArrayCollection();
    }
    
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     * @return Module
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;
        return $this;
    }

    /**
     * Get libelle
     *
     * @return string 
     */
    public function getLibelle()
    {
        return $this->libelle;
    }

    /**
     * Set descriptif
     *
     * @param text $descriptif
     * @return Module
     */
    public function setDescriptif($descriptif)
    {
        $this->descriptif = $descriptif;
        return $this;
    }

    /**
     * Get descriptif
     *
     * @return text 
     */
    public function getDescriptif()
    {
        return $this->descriptif;
    }

    /**
     * Add idgroupe
     *
     * @param Groupe $idgroupe
     * @return Module
     */
    public function addGroupe(\Groupe $idgroupe)
    {
        $this->idgroupe[] = $idgroupe;
        return $this;
    }
    public function delGroupe(\Groupe $idgroupe)
    {
    	$groupe = $this->getIdgroupe();
    	$groupe1=array();
    	foreach ($groupe as $group)
    	{
    		if($group!=$idgroupe)
    		{
    			$groupe1[]=$group;
    		}
    	}
    	$this-> idgroupe =$groupe1;
    }
    /**
     * Get idgroupe
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getIdgroupe()
    {
        return $this->idgroupe;
    }
}