<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Report
 *
 * @ORM\Table(name="report")
 * @ORM\Entity
 */
class Report
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer $idutilisateur
     *
     * @ORM\Column(name="idUtilisateur", type="integer", nullable=false)
     */
    private $idutilisateur;

    /**
     * @var string $libelle
     *
     * @ORM\Column(name="libelle", type="string", length=100, nullable=true)
     */
    private $libelle;

    /**
     * @var text $descriptif
     *
     * @ORM\Column(name="descriptif", type="text", nullable=true)
     */
    private $descriptif;

    /**
     * @var date $datecreation
     *
     * @ORM\Column(name="dateCreation", type="date", nullable=true)
     */
    private $datecreation;

    /**
     * @var text $useraction
     *
     * @ORM\Column(name="userAction", type="text", nullable=true)
     */
    private $useraction;

    /**
     * @var text $systemmessage
     *
     * @ORM\Column(name="systemMessage", type="text", nullable=true)
     */
    private $systemmessage;

    /**
     * @var text $reponseofficielle
     *
     * @ORM\Column(name="reponseOfficielle", type="text", nullable=true)
     */
    private $reponseofficielle;

    /**
     * @var Statut
     *
     * @ORM\OneToOne(targetEntity="Statut")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="idStatut", referencedColumnName="id", unique=true)
     * })
     */
    private $idstatut;

    /**
     * @var Usecase
     *
     * @ORM\OneToOne(targetEntity="Usecase")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="code", referencedColumnName="code", unique=true)
     * })
     */
    private $code;

		public function __construct($id =""){
		$this->id=$id;
		}
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set idutilisateur
     *
     * @param integer $idutilisateur
     * @return Report
     */
    public function setIdutilisateur($idutilisateur)
    {
        $this->idutilisateur = $idutilisateur;
        return $this;
    }

    /**
     * Get idutilisateur
     *
     * @return integer 
     */
    public function getIdutilisateur()
    {
        return $this->idutilisateur;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     * @return Report
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;
        return $this;
    }

    /**
     * Get libelle
     *
     * @return string 
     */
    public function getLibelle()
    {
        return $this->libelle;
    }

    /**
     * Set descriptif
     *
     * @param text $descriptif
     * @return Report
     */
    public function setDescriptif($descriptif)
    {
        $this->descriptif = $descriptif;
        return $this;
    }

    /**
     * Get descriptif
     *
     * @return text 
     */
    public function getDescriptif()
    {
        return $this->descriptif;
    }

    /**
     * Set datecreation
     *
     * @param date $datecreation
     * @return Report
     */
    public function setDatecreation($datecreation)
    {
        $this->datecreation = $datecreation;
        return $this;
    }

    /**
     * Get datecreation
     *
     * @return date 
     */
    public function getDatecreation()
    {
        return $this->datecreation;
    }

    /**
     * Set useraction
     *
     * @param text $useraction
     * @return Report
     */
    public function setUseraction($useraction)
    {
        $this->useraction = $useraction;
        return $this;
    }

    /**
     * Get useraction
     *
     * @return text 
     */
    public function getUseraction()
    {
        return $this->useraction;
    }

    /**
     * Set systemmessage
     *
     * @param text $systemmessage
     * @return Report
     */
    public function setSystemmessage($systemmessage)
    {
        $this->systemmessage = $systemmessage;
        return $this;
    }

    /**
     * Get systemmessage
     *
     * @return text 
     */
    public function getSystemmessage()
    {
        return $this->systemmessage;
    }

    /**
     * Set reponseofficielle
     *
     * @param text $reponseofficielle
     * @return Report
     */
    public function setReponseofficielle($reponseofficielle)
    {
        $this->reponseofficielle = $reponseofficielle;
        return $this;
    }

    /**
     * Get reponseofficielle
     *
     * @return text 
     */
    public function getReponseofficielle()
    {
        return $this->reponseofficielle;
    }

    /**
     * Set idstatut
     *
     * @param Statut $idstatut
     * @return Report
     */
    public function setIdstatut(\Statut $idstatut = null)
    {
        $this->idstatut = $idstatut;
        return $this;
    }

    /**
     * Get idstatut
     *
     * @return Statut 
     */
    public function getIdstatut()
    {
        return $this->idstatut;
    }

    /**
     * Set code
     *
     * @param Usecase $code
     * @return Report
     */
    public function setCode(\Usecase $code = null)
    {
        $this->code = $code;
        return $this;
    }

    /**
     * Get code
     *
     * @return Usecase 
     */
    public function getCode()
    {
        return $this->code;
    }
}