<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Usecase
 *
 * @ORM\Table(name="usecase")
 * @ORM\Entity
 */
class Usecase
{
    /**
     * @var string $code
     *
     * @ORM\Column(name="code", type="string", length=11, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $code;

    /**
     * @var string $libelle
     *
     * @ORM\Column(name="libelle", type="string", length=50, nullable=false)
     */
    private $libelle;

    /**
     * @var Application
     *
     * @ORM\OneToOne(targetEntity="Application")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="idApplication", referencedColumnName="id", unique=true)
     * })
     */
    private $idapplication;
    /**
     * Set code
    * @param string $code
     * @return Usecase
     */
    public function setCode($code)
    {
    	$this->code = $code;
        return $this;
    }
    
    /**
     * Get code
     *
     * @return string 
     */
    public function getCode()
    {
        return $this->code;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     * @return Usecase
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;
        return $this;
    }

    /**
     * Get libelle
     *
     * @return string 
     */
    public function getLibelle()
    {
        return $this->libelle;
    }

    /**
     * Set idapplication
     *
     * @param Application $idapplication
     * @return Usecase
     */
    public function setIdapplication(\Application $idapplication = null)
    {
        $this->idapplication = $idapplication;
        return $this;
    }

    /**
     * Get idapplication
     *
     * @return Application 
     */
    public function getIdapplication()
    {
        return $this->idapplication;
    }
}